using System;

namespace Palindrom_safl
{
    class Program
    {    
        static void Main(string[] args)
        {
            string T = Console.ReadLine();
            int br1 = 0, br2 = 0, br = 0; bool b = false;
            int j = T.Length - 1; 
            for (int i = 0; i<= j ; i++, j--)
            {
                if (T[i] != T[j] ) 
                { br1++; --i; b = true; }
                else if (T[i] == T[j] && b) { br1++; b = false; }
            }
            b = false;  j = T.Length - 1;
            for (int i = 0; j >= i; i++, j--)
            {
                if (T[i] != T[j])
                { br2++; ++j; b = true; }
                else if (T[i] == T[j] && b) { br2++; b = false; }
            }
            if (br1 < br2) br = br1;
            else br = br2;
            if (br == 0) br++;
            Console.WriteLine(br);           
        }
    }
}